Update Basket - Fulfillment Details

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Purpose

Modify the fulfilment type and its associated parameters and/or update the requested fulfilment time.

Fulfillment Types:

TypeDefinition
deliveryCommerce platform will be arranging delivery
pickupWill be collected i.e. for takeaway (can apply for Kiosk orders)
curbsideWill be as per pickup, but specific handoff to customer in vehicle
eat-inCustomer will be ordering on-premise e.g. QR Code ordering

Parameters:

Aside from the "type" being updated, below shows specific parameters expected when updating each fulfillment type. All required attributes are marked with *

Delivery

ParameterMeaningType
timeThe intended pickup time for the orderstring
address.lineFull address in single linestring
address.coordinatesGeo-location, expressed as [lat, lon]array [lat, lon]

Example Request

{
    "type": "delivery",
    "time": "2024-01-15T10:00",
    "address": {
        "line": "5030 W Lovers Ln, Dallas, TX 75209, US",
        "coordinates": [
            32.850713,
            -96.828014
        ],
        "note": "first floor, left door, happy dog"
    }
}

Pickup

ParameterMeaningType
timeThe intended pickup time for the orderstring
pickupNotesSpecial instructions from the customer on their Pickup order e.g. pager numbers/table numbersstring

Example Request

  {
      "type": "pickup",
      "time": "2024-01-15T10:00",
      "pickupNotes":"Table number 7"
  }

Curbside

ParameterMeaningType
pickupNotesSpecial instructions from the customer on their Curbside order e.g. Car moderl/colour/registrationstring

Example Request

  {
      "type": "curbside",,
      "pickupNotes":"Yellow Honda"
  }

Eat-In

ParameterMeaningType
spotSpecific location in the venue e.g. the table number or position at a counterstring
  {
      "type": "eatIn",
      "spot": "table 2"
  }
Path Params
string
required
string
required
Body Params
RAW_BODY
object
required
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json